QuattroGraphInternal::Textbox Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
QuattroGraphInternal::Textbox Struct Referencefinal

Internal: a shape of a QuattroGraph. More...

Inheritance diagram for QuattroGraphInternal::Textbox:

## Public Member Functions
| Textbox ()
| constructor
| ~Textbox () final
| destructor
bool | isTextbox () const final
| returns true
Public Member Functions inherited from QuattroGraphInternal::ShapeHeader
| ShapeHeader ()
| constructor
virtual | ~ShapeHeader ()
| destructor
virtual bool | isTextbox () const
| returns true if the shape is a textbox

## Public Attributes
WPSEntry | m_entry
| the text entry
WPSFont | m_font
| the font
WPSParagraph | m_paragraph
| the paragraph style
Public Attributes inherited from QuattroGraphInternal::ShapeHeader
int | m_type
| the type
WPSBox2i | m_box
| the bdbox
int | m_id
| an id?
WPSGraphicStyle | m_style
| the graphic style
int | m_values [5]
| optional values
int | m_flags [14]
| some flags
int | m_values2 [4]
| style values
std::string | m_extra
| error message

## Detailed Description

Internal: a shape of a QuattroGraph.

## Constructor & Destructor Documentation

## ◆ Textbox()

QuattroGraphInternal::Textbox::Textbox | ( |  | ) |
| inline

constructor

## ◆ ~Textbox()

QuattroGraphInternal::Textbox::~Textbox | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ isTextbox()

bool QuattroGraphInternal::Textbox::isTextbox | ( |  | ) | const
| inlinefinalvirtual

returns true

Reimplemented from QuattroGraphInternal::ShapeHeader.

## Member Data Documentation

## ◆ m_entry

WPSEntry QuattroGraphInternal::Textbox::m_entry

the text entry

Referenced by QuattroGraph::send().

## ◆ m_font

WPSFont QuattroGraphInternal::Textbox::m_font

the font

Referenced by QuattroGraph::send().

## ◆ m_paragraph

WPSParagraph QuattroGraphInternal::Textbox::m_paragraph

the paragraph style

Referenced by QuattroGraph::send().

The documentation for this struct was generated from the following file:

- QuattroGraph.cpp